<bugID>1234749<Summary>"Restore Session" information is incorrect and does not contain information about the most recent pre-crash environment, under some circumvstances.</Summary><Description>User Agent: Mozilla/5.0 (Macintosh; Intel Mac OS X 10.8; rv:42.0) Gecko/20100101 Firefox/42.0
Build ID: 20151029151421

Steps to reproduce:

In 42.0, and at least some earlier versions, if there is one or more open "Restore Session" tab(s) present at the time of a crash, then the "R-S" information may be wrong and include only some, or perhaps none, of the open tabs at the time of the most recent crash.    I believe that it may be picking up obsolete (from an earlier session) checkpoint information in some situations, since all the recovery information is familiar but obsolete, but I don't know the details of the mechanisms used.

I have been having a lot of trouble with FFx 42 (&amp; prevs) crashing... sometimes 3 or 4 times A DAY.   No obvious pattern or commonality; generally not doing anything not widely done (gmail, finance.google.com, slashdot, YouTube &amp;c.    On MacOS 10.8.5.


Actual results:

When FFx crashes while I'm interacting with it, the R-S page after restart sometimes DOES NOT INCLUDE the page I was viewing, and also does not include other pages which I know were present at the time.   (These are not pages which were opened in the few seconds preceding the crash, so it's not a matter of them not having seem checkpointed yet!)


Expected results:

Restore session information should be time-stamped, and time-stamp should be visible in the "restore session" page after restart.   I have had so many crashes that I sometimes have 5 or 6 open "R-S" tabs I'm trying to recover and restore tabs from.</Description></bugID>